# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # SEPA Instant: Send funds in real time ## Overview The Single Euro Payments Area (SEPA) is a European clearing system that standardizes and streamlines euro-denominated payments across participating countries, enabling fast, low-cost, and reliable transfers within the eurozone and associated countries. There are 36 SEPA countries: - 20 European Union (EU) member states with currency EUR - Eight EU member states with currency other than EUR - Eight non-EU countries SEPA Instant is a payment rail that enables you to send funds between a Wallet DDA in the SEPA region (Luxembourg or London branch) and a counterparty's bank account in the SEPA region that supports SEPA Instant. You can send funds 24 hours a day, 365 days a year, and the funds become available to the recipient in as little as 10 seconds. For an overview of payment types in Wallet, see [Payments](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview). ### Use cases You can use the SEPA Instant payment rail to transfer funds in EUR near-instantly between SEPA banks. For example: - Merchant services platform: Pay out a merchant's revenue to their SEPA bank account. - Video game company: Pay out a player's in-game currency to their SEPA bank account. - Marketplace platform: Pay out a seller's revenue to their SEPA bank account. ### Key information The following table describes important information about SEPA Instant. **Key information for SEPA Instant** | Production endpoint | v3.x: https://apigateway.jpmorgan.com/tsapi/v3/jpmwallet/payments/advanced-batch Use if you need to send funds from Japan or handle BGN currency. | v2.x: https://apigateway.jpmorgan.com/tsapi/v2/jpmwallet/payments/advanced-batch Use if you don't require v3. | | --- | --- | --- | | Client testing endpoint | v3.x: https://apigatewaycat.jpmorgan.com/tsapi/v3/jpmwallet/payments/advanced-batch | v2.x: https://apigatewaycat.jpmorgan.com/tsapi/v2/jpmwallet/payments/advanced-batch | | API reference | v3.x: [Initiate one or many PayOuts](/api/treasury/jp-morgan-wallet/doc#/operations/generatePayoutBatchTransactions) | v2.x: [Initiate one or many PayOuts](/api/treasury/jp-morgan-wallet/doc-2#/operations/generatePayoutBatchTransactions) | | Supported branches | J.P. Morgan Chase Bank, Luxembourg or London branch (see [Reference - Supported branches and their Business Identifier Codes](/docs/treasury/jp-morgan-wallet/reference#supported-branches-and-their-business-identifier-codes-bics)) | | Supported currencies | EUR | | Supported account types | All (Demand Deposit Account - DDA and Customer Money Account - CMA) | | Payment type | - [PayIn](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payin) - [PayInto](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payinto) - [PayInto Collection](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payinto-collection) - [PayInto Receipt](/docs/treasury/jp-morgan-wallet/capabilities/payments/incoming/payinto-receipt) - PayOut - [PayOut Collection](/docs/treasury/jp-morgan-wallet/capabilities/payments/outgoing/payout-collection) | | Payment flows | - Domestic, same currency: EUR to EUR - Domestic, Foreign Exchange (FX): Not supported - Cross-border, same currency: EUR to EUR between SEPA countries - Cross-border, FX: Not supported | | Transaction limit | €100,000 | | Cut-off time | No cut-off time | | Settlement period | Immediately | | Returns, recalls, and reversals | Not supported | | Service level code | Set serviceLevel.code to INST | ### Prerequisites Before you can execute transactions using the SEPA Instant payment rail, you must configure your Wallet program for SEPA Instant. For more information, ask your J.P. Morgan representative. ### Reporting SEPA Instant transactions appear on your daily **TRANSACTION ACTIVITY** reports. The following table is an example of what a SEPA Instant transaction on a **TRANSACTION ACTIVITY** report might look like. **TRANSACTION ACTIVITY report example** | CLIENT ID | 0001318690 | | --- | --- | | PROGRAM ID | 1000000032 | | BUSINESS PROCESSING DATE | 3/2/2026 | | BANK NAME | JPM Luxembourg | | WALLET DDA NUMBER | XXXXXXXXXX | | WALLET CURRENCY | EUR | | RECEIVED DATE | 3/2/2026 | | REQUESTED VALUE DATE | 3/2/2026 | | VALUE DATE | 3/2/2026 | | CLIENT TXN ID | SMOKE-020456453 | | TXN TYPE | PAYOUT | | DEBTOR ACCOUNT | XXXXXXXXXX | | DEBTOR NAME | EWALLET ORIGINATOR | | DEBTOR VIRTUAL ACCOUNT ID | LUX-EUR-VTA-05 | | DEBTOR AGENT | J.P. MORGAN SE - LUXEMBOURG BRANCH | | DEBTOR AGENT ID | CHASLULXXXX | | DEBIT AMOUNT | 0.01 | | DEBIT CURRENCY | EUR | | CREDITOR ACCOUNT | XXXXXXXXXX | | CREDITOR NAME | XXXXXXXXXX | | CREDIT AMOUNT | 0.01 | | CREDIT CURRENCY | EUR | | STATUS | PENDING | | SETTLEMENT METHOD | RTP | | PRN | XXXXXXXXXX | | REMITTANCE INFO | Remittance text | | BATCH ID | SMOKE-020456453 | | MATCHED REFERENCE ID | SMOKE-020456453 | | DDA NARRATIVE | Remittance text | ### Notes Both the debtor account and the creditor account must support SEPA Instant. ## Important parameters The following sections list important parameters in the SEPA Instant PayOut request along with their requirements. Not all parameters are listed here—for a complete list, see the API reference. ### Header parameters Include the following parameters in the header. **Header parameters for SEPA Instant** | Parameter | Required / Optional | Description | | --- | --- | --- | | programId | Required | Your Wallet program ID. | | transactionType | Required | Type of the transaction. Set to PAYOUT. | ### Body parameters Note the following important body parameters for SEPA Instant PayOut transactions. #### groupHeader The `groupHeader` object contains information about the batch of transactions. **groupHeader object in SEPA Instant PayOut request** | Parameter | Required / Optional | Description | | --- | --- | --- | | controlSum | Required | Sum of the transaction amounts in this request. Must be less than or equal to 100,000. | | creationDateTime | Required | Date and time when the batch was created. Must be in local time with the time zone offset to UTC in the following format: YYYY-MM-DDThh:mm:ss±hh:mm | | initiatingParty.identification.organisationIdentification.bicOrBei | Conditionally required | If you are a financial institution, enter your BIC. | | initiatingParty.identification.organisationIdentification.other.identification | Conditionally required | If you are a financial institution, set to BANK. | | initiatingParty.name | Required | Name of the initiating party (you). Maximum 140 characters. No special characters allowed. | | messageIdentification | Required | Unique ID of the batch of transactions. Maximum 35 characters. | | numberOfTransactions | Required | Total number of transactions in the batch. Must be 1. | The following code snippet is an example of the `groupHeader` object. ```json { "groupHeader": { "messageIdentification": "N77064051663", "creationDateTime": "2023-09-28T16:26:13.000+0000", "numberOfTransactions": 1, "controlSum": 0.01, "initiatingParty": { "name": "JPMC Client Name" } } } ``` #### paymentInformation The `paymentInformation` object contains parameters related to the payment. **paymentInformation object in SEPA Instant PayOut request** | Parameter | Required / Optional | Description | | --- | --- | --- | | controlSum | Required | Sum of the transaction amounts in this request. Must be less than or equal to 100,000. | | numberOfTransactions | Required | Number of transactions in this batch. Must be 1. | | paymentInformationIdentification | Required | Unique ID of the payment. Maximum 35 characters. | | paymentMethod | Required | Set to TRF. | | paymentTypeInformation.instructionPriority | Optional | Priority of the request. Must be one of the following: - HIGH: High priority. - NORM: Normal priority. | | paymentTypeInformation.serviceLevel.code | Required | Set to INST. For more information about service level codes, see [Payments - Service level codes](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#service-level-codes). | | requestedExecutionDate | Required | Date when the transaction should be executed in YYYY-MM-DD format. Set to the current date. SEPA Instant transactions always execute immediately—dates in the past and future are not supported. For more information about requested execution dates, see [Payments - Requested execution date](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#requested-execution-date). | The following code snippet is an example of the `paymentInformation` object. ```json { "paymentInformation": { "paymentInformationIdentification": "SEPAI-SEPAN77064051663", "numberOfTransactions": 1, "controlSum": 0.01, "paymentMethod": "TRF", "paymentTypeInformation": { "instructionPriority": "HIGH", "serviceLevel": { "code": "INST" } }, "requestedExecutionDate": "2023-09-28" } } ``` #### paymentInformation.debtor The paymentInformation.`debtor` object contains information about the individual or business that represents the debtor. **paymentInformation.debtor object in SEPA Instant PayOut request** | Parameter | Required / Optional | Description | | --- | --- | --- | | identification.organisationIdentification.bicOrBei | Conditionally required | If you are a financial institution, set this to your BIC. | | identification.organisationIdentification.other.identification | Required | If you are a financial institution, set this to BANK. Otherwise, set this to your Company ID. | | identification.organisationIdentification.other.schemeName.proprietary | Conditionally required | If identification.organisationIdentification.other.identification is set to your Company ID, set this to JPMCOID. | | name | Required | Name of the debited party (you). Maximum 140 characters. | | postalAddress | Optional | Postal address of the debtor. Must be in the SEPA region. | The following code snippet is an example of the paymentInformation.`debtor` object. ```json { "paymentInformation": { "debtor": { "name": "JPMC Client Name", "postalAddress": { "addressType": "ADDR", "streetName": "Anywhere St", "buildingNumber": "1605", "postCode": "012345", "townName": "Luxemburg", "country": "LU" } } } } ``` #### paymentInformation.debtorAccount The paymentInformation.`debtorAccount` object contains information about the bank account of the debtor. **paymentInformation.debtorAccount object in SEPA Instant PayOut request** | Parameter | Required / Optional | Description | | --- | --- | --- | | currency | Required | Three-character ISO 4217 code for the currency of the funds in your Wallet DDA. Must be EUR. | | identification.other.identification | Required | Account number of the debited bank account. Must be 10 digits. | The following code snippet is an example of the paymentInformation.`debtorAccount` object. ```json { "paymentInformation": { "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "EUR" } } } ``` #### paymentInformation.debtorAgent The paymentInformation.`debtorAgent` object contains information about the bank branch where the debtor account is located. **paymentInformation.debtorAgent object in SEPA Instant PayOut request** | Parameter | Required / Optional | Description | | --- | --- | --- | | financialInstitutionIdentification.bic | Conditionally required | BIC of the debtor bank branch. Either the BIC (financialInstitutionIdentification.bic) or the routing number (financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification) of the debtor bank branch is required. If the debtor bank account is your Wallet DDA, this parameter must be the BIC of the J.P. Morgan Chase Bank, Luxembourg or London branch (see [Supported branches and their BICs](/docs/treasury/jp-morgan-wallet/reference#supported-branches-and-their-business-identifier-codes-bics)). | | financialInstitutionIdentification.clearingSystemMemberIdentification.clearingSystemIdentification.code | Conditionally required | Code that identifies the clearing system for the transaction. Either the BIC (financialInstitutionIdentification.bic) or the routing number (financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification) of the debtor bank branch is required. If you provide the routing number, set this parameter to GBDSC. For more information, see [Payments - Clearing system identification codes](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#clearing-system-identification-codes). | | financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification | Conditionally required | Six-digit UK Sort Code of the debtor bank branch. Either the BIC (financialInstitutionIdentification.bic) or the routing number (this parameter) of the debtor bank branch is required. If you provide the routing number, financialInstitutionIdentification.clearingSystemMemberIdentification.clearingSystemIdentification.code is required. | | financialInstitutionIdentification.postalAddress | Required | Postal address of the debtor bank branch. If the debtor bank account is your Wallet DDA, this parameter must correspond to the J.P. Morgan Chase Bank, Luxembourg or London branch. | The following code snippet is an example of the paymentInformation.`debtorAgent` object. ```json { "paymentInformation": { "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASLULXXXX", "postalAddress": { "country": "LU" } } } } } ``` #### paymentInformation.creditTransferTransactionInformation The paymentInformation.`creditTransferTransactionInformation` object contains information about the transaction such as the creditor, the ultimate debtor, and the ultimate creditor. **paymentInformation.creditTransferTransactionInformation object in SEPA Instant PayOut request** | Parameter | Required / Optional | Description | | --- | --- | --- | | amount.instructedAmount.amount | Required | Amount of money in the transaction. Must be less than or equal to 100,000. | | amount.instructedAmount.currency | Required | Currency code of the funds being transferred in three-character ISO 4217 format. Must be EUR. | | creditor.name | Required | For payments to individuals, provide the first, middle, and last names with spaces between each name. Maximum 70 characters. | | creditor.postalAddress | Required | Postal address of the creditor. | | creditorAccount.currency | Required | Three-character ISO 4217 code of the currency of the funds in the credited DDA. Must be EUR. | | creditorAccount.identification.IBAN | Conditionally required | IBAN of the credited bank account. Maximum 34 characters. Either this parameter or creditorAccount.identification.other.identification is required. | | creditorAccount.identification.other.identification | Conditionally required | ID of the creditor bank account. Do not put leading zeros in this value. Either this parameter or creditorAccount.identification.IBAN is required. | | creditorAgent.financialInstitutionIdentification.bic | Conditionally required | BIC of the creditor bank branch. Maximum 11 characters. Either this parameter or creditorAgent.financialInstitutionIdentification.clearingSystemMemberIdentification is required. If the creditor bank account is your Wallet DDA, this parameter must be the BIC of the J.P. Morgan Chase Bank, Luxembourg or London branch (see [Reference - Supported branches and their BICs](/docs/treasury/jp-morgan-wallet/reference#supported-branches-and-their-business-identifier-codes-bics)). | | creditorAgent.financialInstitutionIdentification.clearingSystemMemberIdentification.clearingSystemIdentification.code | Conditionally required | Code that identifies the clearing system for the transaction. Must be GBDSC. Either the BIC (creditorAgent.financialInstitutionIdentification.bic) or the routing number (creditorAgent.financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification) is required. If you provide the routing number, this parameter is required. For more information, see [Payments - Clearing system identification codes](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#clearing-system-identification-codes). | | creditorAgent.financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification | Conditionally required | Routing number of the creditor bank branch. Either the BIC (creditorAgent.financialInstitutionIdentification.bic) or the routing number (creditorAgent.financialInstitutionIdentification.clearingSystemMemberIdentification.memberIdentification) is required. If you provide this parameter, creditorAgent.financialInstitutionIdentification.clearingSystemMemberIdentification.clearingSystemIdentification.code is also required. | | creditorAgent.financialInstitutionIdentification.postalAddress | Required | Postal address of the creditor bank branch. Must be in the SEPA region. | | paymentIdentification.endToEndIdentification | Required | Unique ID for tracing requests and responses for this transaction. Maximum 16 characters. | | remittanceInformation.unstructured | Optional | Payment details. Maximum 140 characters (four lines of 35 characters each). | | ultimateDebtor.identification.organisationIdentification.other.identification | Conditionally required | ID of the ultimate debtor VTA. Required if you include the ultimateDebtor parameter. | | ultimateDebtor.identification.organisationIdentification.other.schemeName.proprietary | Conditionally required | Set to virtualAccountIdentification. Required if you include the ultimateDebtor parameter. | | ultimateDebtor.name | Conditionally required | Name of the ultimate debtor. Required if you make the payment on behalf of a third party (not the debtor). Maximum 70 characters. | | ultimateDebtor.postalAddress | Conditionally required | Postal address of the ultimate debtor. Required if you include the ultimateDebtor parameter. Total length of all postalAddress parameters must be less than or equal to 64 characters. | The following code snippet is an example of the paymentInformation.`creditTransferTransactionInformation` object. ```json { "paymentInformation": { "creditTransferTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "N77064051663" }, "amount": { "instructedAmount": { "amount": "0.01", "currency": "EUR" } }, "remittanceInformation": { "unstructured": [ "Remittance text 123456" ] }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASLULXXXX", "postalAddress": { "country": "LU" } } }, "creditor": { "name": "Individual Beneficiary Name", "postalAddress": { "streetName": "streetName", "buildingNumber": "buildingNumber", "postCode": "PostalCode", "townName": "townName", "country": "LU" } }, "creditorAccount": { "identification": { "iban": "XXXXXXXXXXXXXXXXXXXX" }, "currency": "EUR" } } ] } } ``` ## Examples ### Request with minimum required data (non-TP3) The following example shows the minimum data required to execute a PayOut transaction using the SEPA Instant payment rail. ```json { "groupHeader": { "messageIdentification": "N77064051663", "creationDateTime": "2023-09-28T16:26:13.000+0000", "numberOfTransactions": 1, "controlSum": 0.01, "initiatingParty": { "name": "JPMC Client Name" } }, "paymentInformation": { "paymentInformationIdentification": "SEPAI-SEPAN77064051663", "numberOfTransactions": 1, "controlSum": 0.01, "paymentMethod": "TRF", "paymentTypeInformation": { "serviceLevel": { "code": "INST" } }, "requestedExecutionDate": "2023-09-28", "debtor": { "name": "JPMC Client Name" }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "EUR" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASLULXXXX", "postalAddress": { "country": "LU" } } }, "creditTransferTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "N77064051663" }, "amount": { "instructedAmount": { "amount": "0.01", "currency": "EUR" } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASLULXXXX", "postalAddress": { "country": "LU" } } }, "creditor": { "name": "Individual Beneficiary Name", "postalAddress": { "streetName": "streetName", "buildingNumber": "buildingNumber", "postCode": "PostalCode", "townName": "townName", "country": "LU" } }, "creditorAccount": { "identification": { "iban": "XXXXXXXXXXXXXXXXXXXX" }, "currency": "EUR" } } ] } } ``` ### Request with optional data The following example shows the request body of a PayOut transaction using the SEPA Instant payment rail with optional parameters. Note that the ultimate debtor is a virtual account located in Japan, but the debtor agent (the physical bank branch executing the debit) is located in Luxembourg, so the transaction is valid. ```json { "groupHeader": { "messageIdentification": "N77064051663", "creationDateTime": "2023-09-28T16:26:13.000+0000", "numberOfTransactions": 1, "controlSum": 0.01, "initiatingParty": { "name": "JPMC Client Name" } }, "paymentInformation": { "paymentInformationIdentification": "SEPAI-SEPAN77064051663", "numberOfTransactions": 1, "controlSum": 0.01, "paymentMethod": "TRF", "paymentTypeInformation": { "instructionPriority": "HIGH", "serviceLevel": { "code": "INST" } }, "requestedExecutionDate": "2023-09-28", "debtor": { "name": "JPMC Client Name", "postalAddress": { "addressType": "ADDR", "streetName": "Anywhere St", "buildingNumber": "1605", "postCode": "012345", "townName": "Luxemburg", "country": "LU" } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "EUR" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASLULXXXX", "postalAddress": { "country": "LU" } } }, "creditTransferTransactionInformation": [ { "paymentIdentification": { "endToEndIdentification": "N77064051663" }, "amount": { "instructedAmount": { "amount": "0.01", "currency": "EUR" } }, "remittanceInformation": { "unstructured": [ "Remittance text 123456" ] }, "ultimateDebtor": { "name": "SELLER BENEFICIARY NAME", "postalAddress": { "townName": "Tokyo", "streetName": "456 Street Name", "country": "JP", "postCode": "1234567" }, "identification": { "privateIdentification": { "other": [ { "identification": "LUX2PATSY01", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASLULXXXX", "postalAddress": { "country": "LU" } } }, "creditor": { "name": "Individual Beneficiary Name", "postalAddress": { "streetName": "streetName", "buildingNumber": "buildingNumber", "postCode": "PostalCode", "townName": "townName", "country": "LU" } }, "creditorAccount": { "identification": { "iban": "XXXXXXXXXXXXXXXXXXXX" }, "currency": "EUR" } } ] } } ``` ### Response The following is the synchronous response to the previous example request. ```json { "groupHeader": { "messageIdentification": "71654e02-a679-44fb-88a4-b08b53335d7f", "creationDateTime": "2023-09-28T16:26:17.000+0000", "initiatingParty": { "name": "JPMC Client Name" } }, "originalGroupInformationAndStatus": { "originalMessageIdentification": "N77064051663", "originalMessageNameIdentification": "API-PAYOUT", "originalCreationDateTime": "2023-09-28T16:26:13.000+0000", "originalNumberOfTransactions": 1, "originalControlSum": 0.01, "groupStatus": "ACTC", "statusReasonInformation": [], "numberOfTransactionsPerStatus": [ { "detailedNumberOfTransactions": "1", "detailedStatus": "ACTC", "detailedControlSum": 0.01 } ] }, "originalPaymentInformationAndStatus": { "originalPaymentInformationIdentification": "SEPAI-SEPAN77064051663", "paymentInformationStatus": "ACTC", "statusReasonInformation": [], "numberOfTransactionsPerStatus": [ { "detailedNumberOfTransactions": "1", "detailedStatus": "ACTC", "detailedControlSum": 0.01 } ], "transactionInformationAndStatus": [ { "originalEndToEndIdentification": "N77064051663", "transactionStatus": "ACTC", "statusReasonInformation": [], "acceptanceDateTime": "2023-09-28T16:26:17.115+0000", "accountServicerReference": "a8d43f72-7d68-4479-b465-0cb468323a31", "originalTransactionReference": { "amount": { "instructedAmount": { "amount": 0.01, "currency": "EUR" } }, "requestedExecutionDate": "2023-09-28", "paymentMethod": "TRF", "ultimateDebtor": { "name": "SELLER BENEFICIARY NAME", "postalAddress": { "townName": "Tokyo", "country": "JP", "addressLine": [ "456 Street Name" ] }, "identification": { "privateIdentification": { "other": [ { "identification": "LUX2PATSY01", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "EUR" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASLULXXXX", "postalAddress": { "country": "LU" } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASLULXXXX", "postalAddress": { "country": "LU" } } }, "creditorAccount": { "identification": { "iban": "XXXXXXXXXXXXXXXXXXXX" }, "currency": "EUR" } } } ] } } ``` ### Notification The following is the asynchronous notification that Wallet sends after completing the previous example request. ```json { "groupHeader": { "messageIdentification": "a4dde5b7-d6d0-470b-86f0-9fb3cb89294d", "creationDateTime": "2023-09-28T16:27:40.650+0000", "initiatingParty": { "name": "JPMC Client Name" } }, "originalGroupInformationAndStatus": { "originalMessageIdentification": "N77064051663", "originalMessageNameIdentification": "API-PAYOUT", "originalNumberOfTransactions": 1 }, "originalPaymentInformationAndStatus": { "originalPaymentInformationIdentification": "SEPAI-SEPAN77064051663", "transactionInformationAndStatus": [ { "originalEndToEndIdentification": "N77064051663", "transactionStatus": "ACSC", "statusReasonInformation": [ { "additionalInformation": [ "/eventType/PaymentComplete" ] } ], "acceptanceDateTime": "2023-09-28T16:26:18.211+0000", "accountServicerReference": "11PFXGDKM20C", "originalTransactionReference": { "amount": { "instructedAmount": { "amount": 0.01, "currency": "EUR" } }, "requestedExecutionDate": "2023-09-28", "paymentMethod": "TRF", "remittanceInformation": [ { "remittanceInformationText": "Remittance text 12345", "remittanceSequenceNumber": "1" } ], "ultimateDebtor": { "name": "SELLER BENEFICIARY NAME", "postalAddress": { "townName": "Tokyo", "country": "JP", "addressLine": [ "456 Street Name" ] }, "identification": { "organisationIdentification": { "other": [ { "identification": "LUX2PATSY01", "schemeName": { "proprietary": "virtualAccountIdentification" } } ] } } }, "debtorAccount": { "identification": { "other": { "identification": "XXXXXXXXXX" } }, "currency": "EUR" }, "debtorAgent": { "financialInstitutionIdentification": { "bic": "CHASLULXXXX", "postalAddress": { "country": "LU" } } }, "creditorAgent": { "financialInstitutionIdentification": { "bic": "CHASLULXXXX", "postalAddress": { "country": "LU" } } }, "creditorAccount": { "identification": { "other": { "identification": "XXXXXXXXXXXXXXXXXXXX" } }, "currency": "EUR" }, "receiver": { "name": "Individual Beneficiary Name", "postalAddress": { "streetName": "streetName", "buildingNumber": "buildingNumber", "postCode": "PostalCode", "townName": "townName", "country": "LU" } } } } ] } } ``` ## TP3 PayOuts This section explains the requirements for Third Party Payment Processor (TP3) transactions using the SEPA Instant payment rail. For more information about TP3 transactions, see [Pay on behalf of a third party](/docs/treasury/jp-morgan-wallet/capabilities/payments/overview#tp3-pay-on-behalf-of-a-third-party). ### Flows Wallet supports the following flows for TP3 SEPA Instant transactions: - London / EUR to EUR - Luxembourg / EUR to EUR ### Requirements The following fields in the paymentInformation.`creditTransferTransactionInformation` object have specific requirements for TP3 SEPA Instant transactions. **paymentInformation.creditTransferTransactionInformation object requirements for TP3 SEPA Instant** | Field | Required / Optional | Requirements | | --- | --- | --- | | ultimateDebtor.name | Required | Maximum 70 characters. | | ultimateDebtor.postalAddress.addressLine | Optional | Maximum 70 characters. | | ultimateDebtor.postalAddress.buildingNumber | Optional | Maximum 16 characters. | | ultimateDebtor.postalAddress.country | Required | Two-character ISO 3166 country code. | | ultimateDebtor.postalAddress.countrySubDivision | Optional | Maximum 35 characters. | | ultimateDebtor.postalAddress.postCode | Required | Maximum 16 characters. | | ultimateDebtor.postalAddress.streetName | Required | Maximum 70 characters. | | ultimateDebtor.postalAddress.townName | Required | Maximum 35 characters. | ### Example The following is an example of the `ultimateDebtor` object in a TP3 SEPA Instant request. ```json "ultimateDebtor": { "name": "JPMC in London 1234 JPMC in London 1234 JPMC in London 1234 JPMC 70ch", "postalAddress": { "streetName": "456 Street Name", "postCode": "12345", "townName": "Paris", "country": "FR" }, ... ```